﻿Imports ThinkGeo.MapSuite.Core

Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        Dim USLayer As New ShapeFileFeatureLayer("..\..\Data\USStates.shp")
        USLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1
        USLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20
        WinformsMap1.StaticOverlay.Layers.Add(USLayer)

        Dim legendItems As New Dictionary(Of String, Style)()
        legendItems.Add("Point1", PointStyles.City1)
        legendItems.Add("Point2", New PointStyle(PointSymbolType.Star, New GeoSolidBrush(GeoColor.StandardColors.Red), 14))
        legendItems.Add("Area1", AreaStyles.Evergreen1)

        Dim textAdornmentLayer As New CustomAdornmentLayer(50, 80, legendItems)
        WinformsMap1.AdornmentOverlay.Layers.Add(textAdornmentLayer)

        Dim scaleBarAdornmentLayer As New ScaleLineAdornmentLayer(AdornmentLocation.LowerLeft)
        WinformsMap1.AdornmentOverlay.Layers.Add(scaleBarAdornmentLayer)

        WinformsMap1.MapUnit = GeographyUnit.DecimalDegree
        WinformsMap1.CurrentExtent = New RectangleShape(-140, 60, -80, 0)
        WinformsMap1.Refresh()
    End Sub
End Class
